3.0.5

Alex - Where we going?

As I use activewidgets every day and am very pleased with the performance and reliability I am just woundering - What's next? Are you working on version 2.5.6? if so, what can we expect to see in the next version?

Any information appreciated.
Erik Dobrie
May 25,
Yes, there will be 2.5.6 soon (maintenance release - bug fixes, FF 3.6, IE9 preview). And I am also working on the next major release (3.0) which should be a very significant improvement.

BTW, I am still not sure if I should support quirks mode and IE6 in 3.0 - going 'standards only' IE7+ could simplify things dramatically :-). Do you still support IE6 in your current apps? If you start a new project, will you support IE6 anyway?

What about quirks mode? That was a requirement for IE5.5 but does it still make sense? Is anyone using it?
Alex (ActiveWidgets)
May 25,
It might be a good idea to push foreward and go 7+ w/o quirks....
John O.
May 29,
oops, we have our app with a major company that do not want to go past ie6.0. please do not kill support for ie6. it's kind of weird, but customer rules. we modified most of our procedures to support this...
t4
June 1,
I think a 3.0 release dont need support for ie6. As long as my customers use ie6, I take the 2.5.5 or 2.5.6.
But I have hope they change in the next year. If that happens, I could easily switch to 3.0.

Sooner or later even bigger companies will have to update to a better version of ie.
Microsoft wants to kill the ie6!
hp
June 11,
Currently the plan for AW 3.0 is to require IE7+ 'standards' doctype (no quirks, no IE6). On the other hand I'm going to maintain 2.5.x branch for a couple of years (adding IE9 and others) so the current apps will be in good shape and anyone who needs IE6 support can still use 2.5.x.
Alex (ActiveWidgets)
June 11,
Sounds like a step in the right direction to me :)
John O.
June 12,
Unfortunately many branches of the US government still use IE6 so, maintaining a 2.5.x version for these users and making the 3.0 version 'standards' only is a good idea.

You have not mentiond it but, any plans on supporting mobile safari? The iphone and ipad are here to stay and at some point I will need to support them.

Any thoughts?
Erik Dobrie
June 22,
Yes Alex

I think it would be very important supporting iphone and ipad
in version 3.0.
Dag Pettersen
June 22,
What features have you planned for version 3.0 ? Are there any new widgets?
June 30,
What features have you planned for version 3.0 ? Are there any new widgets
B.C.
June 30,
Hi Alex,

It would be great to have some info re likely date for 2.5.6, and your current thinking on 3.0. Can we get an update?

Thanks
Justin
Justin
August 4,

This topic is archived.

See also:


Back to support forum